> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/scheduling/scheduling_dayparting.md).

# Dayparting

Dayparting allows Displays to show relevant content based on the immediate needs of your audience allowing you to tailor content without manual intervention.

Xibo supports the creation of multiple Dayparts, to allow you to define distinct blocks of time (e.g. Breakfast, Lunch, Evening) which can include defined exceptions. This means that a single day can be split into as many **pre-defined** parts as necessary.

{% hint style="info" %}
A typical use case would be a hospitality User who has different content to display for Breakfast, Lunch and Dinner. Dayparting allows that User to create a Breakfast, Lunch and Dinner daypart, each of which starts and ends on a different day, simplifying day to day scheduling.
{% endhint %}

## Add Daypart

Dayparts are created and administered from **Dayparting** on the main CMS menu.

* Select the **Add Daypart** button.
* Complete the form fields to configure.

{% hint style="info" %}
Include **Exceptions** to define different start and end timings for selected days!
{% endhint %}

On Saving, the Daypart will be available for selection in the **Dayparting** drop down menu of the schedule form when adding an Event.

The below Daypart form shows an example Breakfast Daypart:

![Example Breakfast Daypart](https://2811002782-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fj0uXhtBdyPyW40TfKTZd%2Fuploads%2Fgit-blob-9d2e114f8dfb94efc3ca8fcdd063dfd69d92c8ac%2Fv4.5_scheduling_daypart_form.png?alt=media)

Saturday and Sunday have been configured as exceptions so that breakfast starts and ends at different times on those days:

![Daypart form exceptions tab](https://2811002782-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fj0uXhtBdyPyW40TfKTZd%2Fuploads%2Fgit-blob-994ba05a73f5b2c0d4eece703a5e63f201fd4b8a%2Fv4.5_scheduling_daypart_form_exceptions.png?alt=media)

On Scheduling, the **Breakfast** Daypart will appear in the drop-down for selection. On selecting, the from/to date time selectors will change to date only selectors and the time will be taken from the Daypart configuration - according to the day of the week the Event occurs on.

## Edit Dayparts

Make edits to existing Dayparts using the row menu.

{% hint style="info" %}
Add Sharing options for Dayparts to Share with other Users/User Groups!
{% endhint %}

Updating the start/end times or exceptions for a Daypart will cause existing future events to be updated with the newly defined times.

Existing recurring Schedules, set to recur beyond the current time, will have new Schedules created to reflect the updated information.

## Further Reading

Create Display Operating hours using Dayparts:

{% content-ref url="/pages/HzctJ5tR2JXRU5u1ojua" %}
[Display Settings](/displays/displays_settings.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/scheduling/scheduling_dayparting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
